gnurobbo_0.68+dfsg-4_amd64.deb


Advertisement

Description

gnurobbo - logic game ported from ATARI XE/XL

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename gnurobbo_0.68+dfsg-4_amd64.deb
Package name gnurobbo
Package version 0.68+dfsg
Package release 4
Package architecture amd64
Package type deb
Category game::puzzle games implemented-in::c interface::graphical interface::x11 role::program uitoolkit::sdl use::gameplaying x11::application
Homepage http://gnurobbo.sourceforge.net/
License -
Maintainer Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Download size 122.16 KB
Installed size 278.00 KB
GNU Robbo is very addictive logic game. You must help a little robot to
get out of an unfriendly planet, collecting parts of an emergency capsule.
Originally written for Atari XE/XL by Janusz Pelc from "LK. Avalon".

Alternatives

Package Version Architecture Repository
gnurobbo_0.68+dfsg-4_i386.deb 0.68+dfsg i386 Debian Main
gnurobbo - - -

Requires

Name Value
gnurobbo-data -
libc6 >= 2.4
libsdl-image1.2 >= 1.2.10
libsdl-mixer1.2 -
libsdl-ttf2.0-0 -
libsdl1.2debian >= 1.2.11

Download

Type URL
Mirror ftp.br.debian.org
Binary Package gnurobbo_0.68+dfsg-4_amd64.deb
Source Package gnurobbo

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gnurobbo deb package:
    # sudo apt-get install gnurobbo

Files

Path
/usr/games/gnurobbo
/usr/share/applications/gnurobbo.desktop
/usr/share/doc/gnurobbo/Bugs.gz
/usr/share/doc/gnurobbo/NEWS.gz
/usr/share/doc/gnurobbo/README.gz
/usr/share/doc/gnurobbo/TODO.gz
/usr/share/doc/gnurobbo/changelog.Debian.gz
/usr/share/doc/gnurobbo/changelog.gz
/usr/share/doc/gnurobbo/copyright
/usr/share/man/man6/gnurobbo.6.gz
/usr/share/pixmaps/gnurobbo.png

Changelog

2018-05-04 - Stephen Kitt <skitt@debian.org>
gnurobbo (0.68+dfsg-4) unstable; urgency=medium
* Migrate to Salsa.
* Switch to debhelper compatibility level 11.
* Delete obsolete do-not-dump-vmusage.diff.
* Standards-Version 4.1.4, no further change required.
2017-08-05 - Stephen Kitt <skitt@debian.org>
gnurobbo (0.68+dfsg-3) unstable; urgency=medium
* Drop -d from CFLAGS so the package will build with GCC 7
(closes: #853427).
* Update debian/copyright.
* Mark gnurobbo-data as Multi-Arch: foreign.
* Standards-Version 4.0.0, no further change required.
* Switch to debhelper compatibility level 10.
2016-06-05 - Stephen Kitt <skitt@debian.org>
gnurobbo (0.68+dfsg-2) unstable; urgency=medium
* Switch to https: VCS URIs (see #810378).
* Sort the sources so the package can build reproducibly; thanks to
Reiner Herrmann for the patch (closes: #826424).
* Enable all hardening options.
* Drop the Debian menu entry (in favour of the desktop descriptor).
* Clean up debian/control using cme.
* Standards-Version 3.9.8, no further change required.
* Update debian/copyright.
2015-08-27 - Stephen Kitt <skitt@debian.org>
gnurobbo (0.68+dfsg-1) unstable; urgency=medium
* New upstream version.
* Refresh patches.
* Standards-Version 3.9.6, no change required.
* Move the data to an arch-independent gnurobbo-data file.
* Switch to fonts-dejavu-extra instead of ttf-dejavu-extra.
2014-05-10 - Stephen Kitt <skitt@debian.org>
gnurobbo (0.66+dfsg-4) unstable; urgency=medium
* Update debian/copyright to machine-readable format, and use
Files-Excluded to drop get-orig-source from debian/rules.
* Drop README.source since we're explicitly using format 3.0 (quilt).
* Standards-Version 3.9.5, no change required.
2013-10-19 - Stephen Kitt <skitt@debian.org>
gnurobbo (0.66+dfsg-3) unstable; urgency=low
* Ship an XPM icon and use it in the Debian menu entry (closes:
#726357).
* Switch to my Debian address.
* Use canonical VCS URIs.
* Standards-Version 3.9.4, no further change required.
* Debhelper compatibility level 9.
2011-09-28 - Stephen Kitt <steve@sk2.org>
gnurobbo (0.66+dfsg-2) unstable; urgency=low
* Always use a format string with sprintf() (closes: #643397).
* Install a FreeDesktop-standard desktop file, as suggested by Auriza
Akbar (closes: #637833).
* Standards-Version 3.9.2, no change required.
2011-02-19 - Stephen Kitt <steve@sk2.org>
gnurobbo (0.66+dfsg-1) unstable; urgency=low
* New upstream version.
* Simplify debian/rules using dh, and retrieve flags from dpkg-
buildflags (thanks to Peter Pentchev for his suggestions!).
* Correct build-dependency on quilt to guarantee dh compatibility.
* Standards-Version 3.9.1, no change required.
* Switch to dpkg-source 3.0 (quilt) format.
* Fix "[gnurobbo] Segfaults after choosing Oily skin." by linking the
DejaVu TTF file to the expected location in the skin (closes:
#614042).
2010-02-01 - Stephen Kitt <steve@sk2.org>
gnurobbo (0.65.6+dfsg-1) unstable; urgency=low
* New upstream version (packaged without sound support for Debian,
since the sound license is CC Sampling Plus 1.0 which is considered
non-free).
2009-11-07 - Stephen Kitt <steve@sk2.org>
gnurobbo (0.62+dfsg-2) unstable; urgency=low
* Explicitly link in the maths library (closes: #554691).

See Also

Package Description
gnuserv_3.12.8-7_amd64.deb Allows you to attach to an already running Emacs
gnushogi_1.4.2-6_amd64.deb program to play shogi, the Japanese version of chess
gnusim8085_1.4.1-1_amd64.deb Graphical Intel 8085 simulator, assembler and debugger
gnustep-back-common_0.27.0-2_amd64.deb GNUstep GUI Backend - common files
gnustep-back0.27-art_0.27.0-2_amd64.deb GNUstep GUI Backend (art)
gnustep-back0.27-cairo_0.27.0-2_amd64.deb GNUstep GUI Backend (cairo)
gnustep-back0.27-xlib_0.27.0-2_amd64.deb GNUstep GUI Backend (xlib)
gnustep-back0.27_0.27.0-2_all.deb GNUstep GUI Backend
gnustep-base-common_1.26.0-4_all.deb GNUstep Base library - common files
gnustep-base-doc_1.26.0-4_all.deb Documentation for the GNUstep Base Library
gnustep-base-runtime_1.26.0-4_amd64.deb GNUstep Base library - daemons and tools
gnustep-common_2.7.0-4_amd64.deb Common files for the core GNUstep environment
gnustep-core-devel_7.10_all.deb GNUstep Development Environment -- core libraries
gnustep-core-doc_7.10_all.deb GNUstep Development Environment -- core documentation
gnustep-devel_7.10_all.deb GNUstep Development Environment -- development tools
Advertisement
Advertisement